Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07315 Misc. Minor Always May 3, 2019, 21:28 May 17, 2019, 19:12
Tester MetalGod View Status Public Platform MAME (Official Binary)
Assigned To Duke Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver model2.cpp
Version 0.209 Fixed in Version 0.210 Build 64-bit
Summary 07315: rchase2, gunblade, topskatr, srallyc, manxtt: Some model 2 games can't keep any change in test menu options after power down and restart
Description Some model 2 games can't keep any change in test menu options after power down and restart

The games:
rchase2, gunblade, topskatr (and clones), srallyc (and clones), manxtt (and clone)
cannot save any configuration inside the test menu.

I've tested all model2 games and I can confirm the rest are fine.
Steps To Reproduce Change any setting inside test menu (game region, coins per credit....), close the game, then open it again. Check changes were not saved.
Additional Information
Flags
Regression Version 0.198
Affected Sets / Systems rchase2, gunblade, topskatr, srallyc, manxtt
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.16434
Tafoid
Administrator
May 6, 2019, 05:35
Some of these do take the changes on the fly and work when you enter game without restarting (gunblade, topskatr for instance), none of them seemed to retain after a power down and restart where supposedly the adjusted settings would be saved.
User avatar
No.16438
MetalGod
Senior Tester
May 6, 2019, 18:54
They all take changes on the fly, but won't retain them after power down and starting again.
I've edited the title of the ticket to make this clearer.
User avatar
No.16461
Kale
Developer
May 14, 2019, 17:16
I'm pretty sure I've successfully saved in manxtt back when I was fiddling with it, so this looks like a regression.
User avatar
No.16462
MetalGod
Senior Tester
May 14, 2019, 17:50
edited on: May 14, 2019, 17:53
You're true, Kale. Thanks :)
I've done some testing and I can confirm regression is MAME 0.198
User avatar
No.16464
Osso
Developer
May 16, 2019, 13:34
I loaded the settings created with MAME 0.209 in MAME 0.197 and it works, so I believe it's only reading that's currently broken.